SystemOrganization addCategory: #'Manifest-Tests'!

Object subclass: #ManifestManifestTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Manifest-Tests'!

!ManifestManifestTests class methodsFor: 'meta data' stamp: ''!
rejectClasses
^ #()! !

!ManifestManifestTests class methodsFor: 'meta data' stamp: ''!
rejectRules
^ #()! !

!RGClassDefinitionTest methodsFor: '*Manifest-Tests' stamp: ''!
testReadFrom
	"self debug: #testReadFrom"
	
	
	| st rg |
	rg := (Point) asRingDefinition.
	st := String streamContents: [:s |
		
		rg storeOn: s.
		s contents].
	self assert: (Object readFrom: st) = rg. 
	
	rg := (Point class ) asRingDefinition.
	st := String streamContents: [:s |
		
		rg storeOn: s.
		s contents].
	self assert: (Object readFrom: st) = rg ! !

!RGClassDefinitionTest methodsFor: '*Manifest-Tests' stamp: ''!
testStoreOn
	"self debug: #testStoreOn"
	
	
	| st |
	st := String streamContents: [:s |
		
		(Point) asRingDefinition storeOn: s.
		s contents].
	self assert: st = '(RGClassDefinition named: #Point)'.
	
	st := String streamContents: [:s |
		
		(Point class) asRingDefinition storeOn: s.
		s contents].
	self assert: st = '((RGMetaclassDefinition named: #Point class) baseClass:(RGClassDefinition named: #Point))'! !

!RGMethodDefinitionTest methodsFor: '*Manifest-Tests' stamp: ''!
testClassNameSelectorIsMetaSide
	"self debug: #testClassNameSelectorIsMetaSide"
	
	| rg |
	rg := RGMethodDefinition className: 'Point' selector: #x  isMetaSide: false. 	
	self assert: (rg parentName = 'Point').
	self assert: (rg parent isKindOf:RGClassDefinition).
	self assert: (rg selector = #x).
	self assert: (rg isMetaSide not).! !

!RGMethodDefinitionTest methodsFor: '*Manifest-Tests' stamp: ''!
testReadFrom
	"self debug: #testReadFrom"
	
	
	| st rg |
	rg := (Point>>#x) asRingDefinition.
	st := String streamContents: [:s |
		
		rg storeOn: s.
		s contents].
	self assert: (Object readFrom: st) = rg ! !

!RGMethodDefinitionTest methodsFor: '*Manifest-Tests' stamp: ''!
testStoreOn
	"self debug: #testStoreOn"
	
	
	| st |
	st := String streamContents: [:s |
		
		(Point>>#x) asRingDefinition storeOn: s.
		s contents].
	self assert: st = '(RGMethodDefinition className: ''Point'' selector: #x isMetaSide: false)'! !

TestCase subclass: #BuilderManifestTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Manifest-Tests'!

!BuilderManifestTest commentStamp: '<historical>' prior: 0!
A ManifestBuilderTest is a class to test the behavior of ManifestBuilder!

!BuilderManifestTest methodsFor: 'running' stamp: 'SimonAllier 5/29/2012 11:05'!
setUp
	
	| cl |
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
! !

!BuilderManifestTest methodsFor: 'running' stamp: 'SimonAllier 5/29/2012 11:19'!
tearDown
	
	| cl |
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:10'!
testAddAllFalsePositive
	
	| manifestBuilder array|
	
	array := {MFClassA. MFClassB  }.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder addAllFalsePositive: array of: 'test' version: 0. 
	
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder addAllFalsePositive: array of: 'test' version: 0. 
	
	self assert:  (manifestBuilder manifest ruletestV0FalsePositive size = 2).
	
	manifestBuilder removeAllFalsePositive: array of: 'test' version: 0. 
	
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	"manifestBuilder manifest class removeSelector: (manifestBuilder selectorFalsePositiveOf: 'test' version: 0)"! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:06'!
testAddAllToDo
	
	| manifestBuilder array|
	
	array := {MFClassA. MFClassB  }.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installToDoOf: 'test' version: 0.
	
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder addAllToDo: array of: 'test' version: 0. 
	
	self assert: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self assert: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder addAllToDo: array of: 'test' version: 0. 
	
	self assert:  (manifestBuilder manifest ruletestV0TODO size = 2).
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 3/26/2012 11:01'!
testAddClass
	
	| manifestBuilder|
	
	manifestBuilder := BuilderManifest on: MFClassA .
	
	self deny: ((manifestBuilder rejectClasses) anySatisfy: [:each| each = MFClassA]).
	
	manifestBuilder addRejectClass: MFClassA..
	
	self assert: ((manifestBuilder rejectClasses) anySatisfy: [:each| each = MFClassA]).

	manifestBuilder removeRejectClass: MFClassA.	.

	self deny: ((manifestBuilder rejectClasses) anySatisfy: [:each| each = MFClassA]).
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:06'!
testAddFalsePositive
	
	| manifestBuilder cl mth|
	cl := MFClassA.
	mth := MFClassA >> #method.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = mth]).
	
	manifestBuilder addFalsePositive: cl of: 'test' version: 0. 
	manifestBuilder addFalsePositive: mth of: 'test' version: 0. 
	
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = mth]).
	
	manifestBuilder removeFalsePositive: cl of: 'test' version: 0. 
	manifestBuilder removeFalsePositive: mth of: 'test' version: 0. 
	
	self deny: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self deny: ((manifestBuilder falsePositiveOf: 'test'version: 0) anySatisfy: [:each| each = mth]).
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 3/26/2012 11:01'!
testAddRule
	
	| manifestBuilder|
	
	manifestBuilder := BuilderManifest on: MFClassA .
	
	self deny: ((manifestBuilder rejectRules) anySatisfy: [:each| each = 0]).
	
	manifestBuilder addRejectRule: 0.
	
	self assert: ((manifestBuilder rejectRules) anySatisfy: [:each| each = 0]).

	manifestBuilder removeRejectRule: 0.	

	self deny: ((manifestBuilder rejectRules) anySatisfy: [:each| each = 0]).
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:06'!
testAddToDo
	
	| manifestBuilder cl mth|
	cl := MFClassA.
	mth := MFClassA >> #method.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installToDoOf: 'test' version: 0.
	
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = mth]).
	
	manifestBuilder addToDo: cl of: 'test' version: 0. 
	manifestBuilder addToDo: mth of: 'test' version: 0. 
	
	self assert: ((manifestBuilder  toDoOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self assert: ((manifestBuilder  toDoOf: 'test' version: 0) anySatisfy: [:each| each = mth]).
	
	manifestBuilder removeToDo: cl of: 'test' version: 0. 
	manifestBuilder removeToDo: mth of: 'test' version: 0. 
	
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = cl]).
	self deny: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = mth]).
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:06'!
testCleanUpFP
	| manifestBuilder |
	
	manifestBuilder := BuilderManifest on: MFClassA. .
	MFClassA compile:  'foo'.
	manifestBuilder installFalsePositiveOf: 'test' version: 0.
	manifestBuilder addFalsePositive: (MFClassA>>#foo) of:  'test' version: 0. 
	
	self assert: (manifestBuilder containsFalsePositive: (MFClassA>>#foo) onRule: 'test' version: 0).
	
	MFClassA removeSelector: #foo.
	manifestBuilder cleanUp.
	
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0 ) size = 0) .
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:06'!
testCleanUpTD
	| manifestBuilder |
	
	manifestBuilder := BuilderManifest on: MFClassA. .
	MFClassA compile:  'foo'.
	manifestBuilder installToDoOf: 'test' version: 0.
	manifestBuilder addToDo: (MFClassA>>#foo) of: 'test' version: 0. 
	
	self assert: (manifestBuilder containsToDo: (MFClassA>>#foo) onRule: 'test' version: 0).
	
	MFClassA removeSelector: #foo.
	manifestBuilder cleanUp.
	
	self assert: ((manifestBuilder toDoOf: 'test' version: 0 ) size = 0) .
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:40'!
testCommentOfFalsePositive
	
	| manifestBuilder comment |
	
	comment := 'foo bar'.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	manifestBuilder addFalsePositive: MFClassA of: 'test' version: 0. 
	
	self assert: (manifestBuilder commentOfFalsePositive: MFClassA onRule: 'test' version: 0) = ''.
	
	manifestBuilder addFalsePositive: MFClassA withComment: comment of: 'test' version: 0. 
	
	self assert: (manifestBuilder commentOfFalsePositive: MFClassA onRule: 'test' version: 0) = comment .
	
	
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:28'!
testContainsFalsePositive
	
	| manifestBuilder |
	

	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	manifestBuilder addFalsePositive: MFClassA of: 'test' version: 0. 
	
	self assert: (manifestBuilder containsFalsePositive: MFClassA onRule: 'test' version: 0).
	self deny: (manifestBuilder containsFalsePositive: MFClassB onRule: 'test' version: 0).
	
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:28'!
testContainsToDo
	
	| manifestBuilder |
	

	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installToDoOf: 'test' version: 0.
	
	manifestBuilder addToDo: MFClassA of: 'test' version: 0. 
	
	self assert: (manifestBuilder containsToDo: MFClassA onRule: 'test' version: 0).
	self deny: (manifestBuilder containsToDo: MFClassB onRule: 'test' version: 0).
	
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 3/26/2012 10:10'!
testCreationManifest
	| manifestBuilder cl |
	manifestBuilder := BuilderManifest new.
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
	self assert: (manifestBuilder manifestOf: MFClassA ) isNil.
	self assert: (manifestBuilder createManifestOf: MFClassA) notNil.
	self assert: (manifestBuilder manifestOf: MFClassA) notNil! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 10:47'!
testCreationManifestOn
	| manifestBuilder cl |
	manifestBuilder := BuilderManifest new.
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
	self assert: (manifestBuilder manifestOf: MFClassA ) isNil.
	self assert: (BuilderManifest on: MFClassA) notNil.
	self assert: (manifestBuilder manifestOf: MFClassA) notNil! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:35'!
testDateOfFalsePositive
	
	| manifestBuilder date1 date2 |
	

	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	date1 :=  DateAndTime current.
	manifestBuilder addFalsePositive: MFClassA of: 'test' version: 0. 
	date2 :=  DateAndTime current.
	
	self assert: (manifestBuilder dateOfFalsePositive: MFClassA onRule: 'test' version: 0) >= date1 .
	self assert: (manifestBuilder dateOfFalsePositive: MFClassA onRule: 'test' version: 0) <= date2 .
	
	
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:07'!
testInstallFalsePositive
	| manifestBuilder |
	manifestBuilder := BuilderManifest on: MFClassA. .
	self deny: (manifestBuilder hasFalsePositiveOf: 'test' version: 0).
	manifestBuilder installFalsePositiveOf: 'test' version: 0.
	self assert: (manifestBuilder hasFalsePositiveOf: 'test' version: 0).
	self assert: (manifestBuilder falsePositiveOf: 'test' version: 0) notNil.
! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:07'!
testInstallToDo
	| manifestBuilder |
	
	manifestBuilder := BuilderManifest on: MFClassA. .
	self deny: (manifestBuilder hasToDoOf: 'test' version: 0).
	manifestBuilder installToDoOf: 'test' version: 0.
	self assert: (manifestBuilder hasToDoOf: 'test' version: 0).
	self assert: (manifestBuilder toDoOf: 'test' version: 0) notNil.
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 11/15/2012 13:19'!
testIsClassAManifest
	"self debug: #testIsClassAManifest"
	
	self deny: Point isManifest.
	BuilderManifest on: MFClassA. 
	self assert: ( (Smalltalk at: #ManifestManifestResourcesTests) isManifest)! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:07'!
testIsFalsePositive
	
	| manifestBuilder cl mth|
	cl := MFClassA.
	mth := cl >> #method.
	manifestBuilder := BuilderManifest on: MFClassA .
	self deny: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	manifestBuilder addRejectClass: MFClassA.
	self assert: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	manifestBuilder removeRejectClass: MFClassA.	.
	self deny: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	manifestBuilder addRejectRule: 'test'.
	self assert: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	manifestBuilder removeRejectRule: 'test'.
	self deny: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	manifestBuilder installFalsePositiveOf: 'test' version: 0.
	manifestBuilder addFalsePositive:  mth of: 'test' version: 0.
	self assert: (manifestBuilder isFalsePositive: mth onRule: 'test' version:0 ).
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 10:50'!
testPackageName
	| manifestBuilder cl |
	
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
			
	manifestBuilder := BuilderManifest on: MFClassA.
	
	self assert: manifestBuilder packageName = 'Manifest-Resources-Tests'! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:20'!
testResetFalsePositive
	
	| manifestBuilder array|
	
	array := {MFClassA. MFClassB  }.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installFalsePositiveOf: 'test' version: 0.
	
	manifestBuilder addAllFalsePositive: array of: 'test' version: 0. 
	
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self assert: ((manifestBuilder falsePositiveOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder resetFalsePositiveOf: 'test' version: 0. 
	
	self assert:  (manifestBuilder manifest ruletestV0FalsePositive size = 0).
	
	! !

!BuilderManifestTest methodsFor: 'tests' stamp: 'SimonAllier 5/29/2012 11:20'!
testResetToDo
	
	| manifestBuilder array|
	
	array := {MFClassA. MFClassB  }.
	manifestBuilder := BuilderManifest on: MFClassA .
	manifestBuilder  installToDoOf: 'test' version: 0.
	
	manifestBuilder addAllToDo: array of: 'test' version: 0. 
	
	self assert: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassA]).
	self assert: ((manifestBuilder toDoOf: 'test' version: 0) anySatisfy: [:each| each = MFClassB]).
	
	manifestBuilder resetToDoOf: 'test' version: 0. 
	
	self assert:  (manifestBuilder manifest ruletestV0TODO size = 0).
	
	! !

TestCase subclass: #SmalllintManifestCheckerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Manifest-Tests'!

!SmalllintManifestCheckerTest methodsFor: 'running' stamp: 'SimonAllier 5/29/2012 16:59'!
setUp
	
	| cl bm|
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
			
	bm := BuilderManifest on: MFClassA. 	
	
	bm installFalsePositiveOf: RBCodeCruftLeftInMethodsRule uniqueIdentifierName version:  1.
	bm addFalsePositive: (MFClassB>>#method3) of: RBCodeCruftLeftInMethodsRule uniqueIdentifierName version:  1.
	
	bm installToDoOf: RBOnlyReadOrWrittenTemporaryRule uniqueIdentifierName version:  1.
	bm addAllToDo: {(MFClassB>>#method3).  (MFClassA>>#method)} of: RBOnlyReadOrWrittenTemporaryRule uniqueIdentifierName version:  1.
! !

!SmalllintManifestCheckerTest methodsFor: 'running' stamp: 'SimonAllier 5/29/2012 15:44'!
tearDown
	
	| cl |
	cl := Smalltalk globals at: #ManifestManifestResourcesTests ifAbsent: [ nil ].
	cl
		ifNotNil: [ 
			cl
				removeFromChanges;
				removeFromSystemUnlogged ].
! !

!SmalllintManifestCheckerTest methodsFor: 'tests' stamp: 'SimonAllier 11/6/2012 13:40'!
testCriticsOf

	| smc package rule |
	
	rule  := RBCompositeLintRule allGoodRules.
	package := RPackageSet named:  'Manifest-Resources-Tests'.
	
	smc := SmalllintManifestChecker  new runRules:  rule onPackage:  package. 
	
	self assert: (smc criticsOf: RBOnlyReadOrWrittenTemporaryRule new) size  = 3.

	self assert: (( smc criticsOf: RBOnlyReadOrWrittenTemporaryRule new ) anySatisfy: [:each| each = (MFClassB>>#method3)]).
	self assert: (( smc criticsOf: RBOnlyReadOrWrittenTemporaryRule new) anySatisfy: [:each| each = (MFClassA>>#method)]).! !

!SmalllintManifestCheckerTest methodsFor: 'tests' stamp: 'SimonAllier 11/6/2012 13:40'!
testFalsePositiveOf

	| smc package rule |
	
	rule  := RBCompositeLintRule allGoodRules.
	package := RPackageSet named:  'Manifest-Resources-Tests'.

	smc := SmalllintManifestChecker  new runRules:  rule onPackage:  package. 
	

	self assert: (( smc falsePositiveOf: RBCodeCruftLeftInMethodsRule new) anySatisfy: [:each| each = (MFClassB>>#method3)]).
	self deny: (( smc falsePositiveOf: RBCodeCruftLeftInMethodsRule new) anySatisfy: [:each| each = (MFClassA>>#method)]).! !

!SmalllintManifestCheckerTest methodsFor: 'tests' stamp: 'SimonAllier 11/6/2012 13:40'!
testIsFalsePositive 

	| smc package rule |
	
	rule  := RBCompositeLintRule allGoodRules.
	package := RPackageSet named:  'Manifest-Resources-Tests'.

	smc := SmalllintManifestChecker  new runRules:  rule onPackage:  package. 
	
	
	self assert: (smc isFalsePositive:  (MFClassB>>#method3) forRuleId: (RBCodeCruftLeftInMethodsRule uniqueIdentifierName) versionId:  1).
	self deny: (smc isFalsePositive:  (MFClassA>>#method) forRuleId: (RBCodeCruftLeftInMethodsRule uniqueIdentifierName) versionId:  1).

! !

!SmalllintManifestCheckerTest methodsFor: 'tests' stamp: 'SimonAllier 11/6/2012 13:40'!
testIsToDo

	| smc package rule |
	
	rule  := RBCompositeLintRule allGoodRules.
	package := RPackageSet named:  'Manifest-Resources-Tests'.

	smc := SmalllintManifestChecker  new runRules:  rule onPackage:  package. 
	
	
	self assert: (smc isToDo:  (MFClassB>>#method3) forRuleId: (RBOnlyReadOrWrittenTemporaryRule uniqueIdentifierName) versionId:  1).
	self deny: (smc isToDo:  (MFClassB>>#method2) forRuleId: (RBOnlyReadOrWrittenTemporaryRule uniqueIdentifierName) versionId:  1).

! !

!SmalllintManifestCheckerTest methodsFor: 'tests' stamp: 'SimonAllier 11/6/2012 13:41'!
testToDoOf

	| smc package rule |
	
	rule  := RBCompositeLintRule allGoodRules.
	package := RPackageSet named:  'Manifest-Resources-Tests'.

	smc := SmalllintManifestChecker  new runRules:  rule onPackage:  package. 
	

	self assert: (( smc toDoOf: RBOnlyReadOrWrittenTemporaryRule new) anySatisfy: [:each| each = (MFClassB>>#method3)]).
	self deny: (( smc toDoOf: RBOnlyReadOrWrittenTemporaryRule new) anySatisfy: [:each| each = (MFClassB>>#method2)]).! !
